<back to all web services

CommentUpdateRequest

The following routes are available for this service:
PUT/RestApi/comments-api/comments
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class CommentUpdateRequest
{
    open var Key:String? = null
    open var Message:String? = null
    open var Status:String? = null
    open var Name:String? = null
    open var Email:String? = null
    open var CustomData:String? = null
    open var Rating:BigDecimal? = null
}

open class CommentResponse
{
    open var Key:String? = null
    open var Name:String? = null
    open var Message:String? = null
    open var DateCreated:Date? = null
    open var ProfilePictureUrl:String? = null
    open var ProfilePictureThumbnailUrl:String? = null
    open var Status:String? = null
    open var Email:String? = null
    open var ThreadKey:String? = null
    open var AuthorIpAddress:String? = null
    open var CustomData:String? = null
    open var Rating:BigDecimal? = null
}

Kotlin CommentUpdateRequest DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/comments-api/comments HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
Content-Type: text/csv
Content-Length: length

{"Key":"String","Message":"String","Status":"String","Name":"String","Email":"String","CustomData":"String","Rating":0}
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"Key":"String","Name":"String","Message":"String","DateCreated":"\/Date(-62135596800000-0000)\/","ProfilePictureUrl":"String","ProfilePictureThumbnailUrl":"String","Status":"String","Email":"String","ThreadKey":"String","AuthorIpAddress":"String","CustomData":"String","Rating":0}